メインコンテンツへスキップ
GET
/
v3
/
enterprise
/
git-providers
/
connections
/
{connection_id}
/
repositories
Git 接続のリポジトリ一覧を取得
curl --request GET \
  --url https://api.devin.ai/v3/enterprise/git-providers/connections/{connection_id}/repositories \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "git_connection_host": "<string>",
      "git_connection_id": "<string>",
      "last_updated_at": 123,
      "provider_repository_id": "<string>",
      "repo_description": "<string>",
      "repo_language": "<string>",
      "repo_name": "<string>",
      "repo_path": "<string>"
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

権限

Enterprise レベルの ManageGitIntegrations 権限を持つサービスユーザーが必要です。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

パスパラメータ

connection_id
string
必須

クエリパラメータ

after
string | null
first
integer
デフォルト:100
必須範囲: 1 <= x <= 100
filter_name
string | null

レスポンス

成功レスポンス

items
GitConnectionRepositoryResponse · object[]
必須
end_cursor
string | null

次のページを取得するためのカーソル。これが最後のページの場合は None。

has_next_page
boolean
デフォルト:false

このページの後に、利用可能なアイテムがさらにあるかどうか。

total
integer | null

オプションの合計件数(パフォーマンスのため省略される場合があります)。